Compiling visualizationsForVaadin WidgetSet

Hi,
I am trying to user visualizationsForVaadin add-on. However, in the browser I get an Exception that the widgetSet is not compiled. So now I am trying to compile the widgetSet, but still get some errors. Here is my configuration:

I have a package com.sample.ui.widgetset with a XML file WidgetSet.xml containg this:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module PUBLIC
    "-//Google Inc.//DTD Google Web Toolkit 1.7.0//EN"
    "http://google-web-toolkit.googlecode.com/svn/tags/1.7.0/distro-source/core/src/gwt-module.dtd">
<module>
    <inherits name="com.vaadin.terminal.gwt.DefaultWidgetSet" />

    <inherits name="org.vaadin.vaadinvisualizations.widgetset.VaadinvisualizationApplicationWidgetset" />
</module>

I am using maven with following dependencies:


<dependency>
   			<groupId>org.vaadin.addons</groupId>
   			<artifactId>visualizationsforvaadin</artifactId>
   			<version>1.1.2</version>
		</dependency>
    	<dependency>
      		<groupId>com.vaadin</groupId>
      		<artifactId>vaadin</artifactId>
      		<version>${vaadin.version}</version>
    	</dependency>
    	<dependency>
            <groupId>com.google.gwt</groupId>
            <artifactId>gwt-user</artifactId>
            <version>1.7.1</version>
        </dependency>
 <dependency>
        	<groupId>com.google.gwt.google-apis</groupId>
        	<artifactId>gwt-visualization</artifactId>
        	<version>1.0.2</version>
        </dependency>

than I am running mvn clean compile vaadin:update-widgetset gwt:compile and get many JAVA errors like some fields cannot be resolved, or imports, etc… Can somebody please give a right configurations for using the add on? What dependencies do I have to include? And what configuration do I have to do? Thanks.